Sorry, you need to enable JavaScript to visit this website.

Feedback

Your feedback is important to keep improving our website and offer you a more reliable experience.

Hyperscan integration for Snort 2.9.8.2 updated (v2)

BY Justin Viiret ON Sep 06, 2016

The Hyperscan team has just released a new version (v2) of our patch to enable the use of Hyperscan to accelerate Snort, the popular open-source network intrusion detection/prevention system. (Our original announcement for the Snort integration is here.)

This version updates the existing code to enable the str_search API (used by preprocessors like the HTTP Inspect preprocessor) to make use of Hyperscan as well.

You can find the patch here, including a README with instructions for its use. The patch is targeted at Snort 2.9.8.2 and we recommend using Hyperscan 4.3.1, the current release.